View Issue Details

IDProjectCategoryView StatusLast Update
0016950LazarusLCLpublic2010-08-04 12:23
ReporterTsvetoslavAssigned ToPaul Ishenin 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Platformi386OSwindowsOS VersionWinXP
Product Version0.9.29 (SVN)Product Build26683 
Target VersionFixed in Version0.9.29 (SVN) 
Summary0016950: OnKeyPress event never gets called
DescriptionIt seems that after the recent changes related to OnUTF8KeyPress event, OnKeyPress event never gets called.
Steps To ReproduceCreate a new GUI application, put for example a TEdit control (Edit1) on the form and create OnKeyPress event handler (e.g. Edit1KeyPress). Compile and run the program and type some text in the Edit1 control - the method Edit1KeyPress does not get called.
TagsNo tags attached.
Fixed in Revision26729
LazTarget0.9.30
WidgetsetWin32/Win64
Attached Files

Relationships

has duplicate 0016974 closedPaul Ishenin dialogs ignore keyboard 
related to 0016944 closedMattias Gaertner Package Editor: Context menu items do nothing 

Activities

Tomasz Wieckowski

2010-07-16 23:05

reporter   ~0039404

I also can't put any key in StringGrid Cell. It was broken in rev.26672

Paul Ishenin

2010-07-19 02:55

manager   ~0039440

Sorry for the problem. Must be fixed now. Please test and close if ok.

Tsvetoslav

2010-08-04 12:23

reporter   ~0039973

Thanks, seems OK now.

Issue History

Date Modified Username Field Change
2010-07-16 14:20 Tsvetoslav New Issue
2010-07-16 14:20 Tsvetoslav Widgetset => Win32/Win64
2010-07-16 15:37 Alexander S. Klenin Relationship added related to 0016944
2010-07-16 21:29 Mattias Gaertner Relationship deleted related to 0016944
2010-07-16 21:30 Mattias Gaertner LazTarget => 0.9.30
2010-07-16 21:30 Mattias Gaertner Status new => acknowledged
2010-07-16 22:19 Mattias Gaertner Relationship added related to 0016944
2010-07-16 23:05 Tomasz Wieckowski Note Added: 0039404
2010-07-17 00:10 Mattias Gaertner Assigned To => Paul Ishenin
2010-07-19 02:55 Paul Ishenin Fixed in Revision => 26729
2010-07-19 02:55 Paul Ishenin Status acknowledged => resolved
2010-07-19 02:55 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2010-07-19 02:55 Paul Ishenin Resolution open => fixed
2010-07-19 02:55 Paul Ishenin Note Added: 0039440
2010-07-19 05:11 Paul Ishenin Relationship added has duplicate 0016974
2010-08-04 12:23 Tsvetoslav Status resolved => closed
2010-08-04 12:23 Tsvetoslav Note Added: 0039973